/*
   MODULE NAME        ctgstdat.h

   DESCRIPTIVE NAME   CICS Transaction Gateway Statistics
                      Application Programming Interface

                                           
   Licensed Materials - Property of IBM
   
   "Restricted Materials of IBM"
   
   5724-I81 5724-J09 5655-R25
   
   (c) Copyright IBM Corp. 2006, 2008 All Rights Reserved.
   
   US Government Users Restricted Rights - Use, duplication or
   disclosure restricted by GSA ADP Schedule Contract with
   IBM Corp.
   
   Status: Version 7 Release 2
                                         

*/
#ifndef CTGSTDAT_H_
#define CTGSTDAT_H_

#define CTG_STAT_PROTOCOL_VER "1_0_0_0"

/*
  Return codes from the Gateway Daemon for statistical information
*/

#define CTGSTATS_SUCCESSFUL_QUERY       0
#define CTGSTATS_INCOMPLETE_RESULTSET   1
#define CTGSTATS_UNKNOWN_STATGROUPID   -1
#define CTGSTATS_UNKNOWN_STATID        -2
#define CTGSTATS_DUPLICATE_STATGROUPID -3
#define CTGSTATS_DUPLICATE_STATID      -4
#define CTGSTATS_NULL_ID               -5
#define CTGSTATS_UPDATE_EXCEPTION      -6

#endif /*CTGSTDAT_H_*/
